summaryrefslogtreecommitdiff
path: root/gitfork
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
commit5eb0dbf136a9ad582192e003b7573a080514f063 (patch)
tree84d3a44749b1b2db50b39504ab7690a15b699e8d /gitfork
init from config_local_arch personal shell scripts
git log history see https://git.flylightning.xyz/config_local_arch/tree/home/xyz/.local/bin?id=d266c511cffb7eeb20bf1e4610d9d32557b7d0e6
Diffstat (limited to 'gitfork')
-rwxr-xr-xgitfork10
1 files changed, 10 insertions, 0 deletions
diff --git a/gitfork b/gitfork
new file mode 100755
index 0000000..9736c4c
--- /dev/null
+++ b/gitfork
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+git clone "$1"
+cd "$(basename "$1" .git)" || exit
+git remote add upstream "$2"
+if ! git checkout fly; then
+ git branch fly
+ git checkout fly
+ git push --set-upstream origin fly
+fi